# Record TCefSchemeHandlerFactory

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefSchemeHandlerFactory = record`

## Description

Structure that creates ICefResourceHandler instances for handling scheme requests. The functions of this structure will always be called on the IO thread.

NOTE: This struct is allocated client-side.

Implemented by ICefSchemeHandlerFactory.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_scheme_capi.h">CEF source file: /include/capi/cef_scheme_capi.h (cef_scheme_handler_factory_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `create: function(self: PCefSchemeHandlerFactory; browser: PCefBrowser; frame: PCefFrame; const scheme_name: PCefString; request: PCefRequest): PCefResourceHandler; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `create: function(self: PCefSchemeHandlerFactory; browser: PCefBrowser; frame: PCefFrame; const scheme_name: PCefString; request: PCefRequest): PCefResourceHandler; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.